petsc-3.4.2 2013-07-02

# PCASASetTolerances

Sets the convergence thresholds for ASA algorithm

### Synopsis

    PetscErrorCode  PCASASetTolerances(PC pc, PetscReal rtol, PetscReal abstol,PetscReal dtol, PetscInt maxits)

Collective on PC

### Input Parameter

| pc | - the context
| rtol | - the relative convergence tolerance (relative decrease in the residual norm)
| abstol | - the absolute convergence tolerance (absolute size of the residual norm)
| dtol | - the divergence tolerance (amount residual can increase before KSPDefaultConverged() concludes that the method is diverging)
| maxits | - maximum number of iterations to use

### Notes

Use PETSC_DEFAULT to retain the default value of any of the tolerances.

Level:advanced
Location:src/ksp/pc/impls/asa/asa.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex38.c.html
src/ksp/ksp/examples/tutorials/ex39.c.html
src/ksp/ksp/examples/tutorials/ex40.c.html